# $Revision: 1.32 $, $Date: 2007/01/23 15:46:54 $
%define		mod_name	gunzip
%define 	apxs		/usr/sbin/apxs1
Summary:	Apache module: On-the-fly decompression of HTML documents
Summary(es):	Descompresin instantanea de archivos HTML para Apache
Summary(pl):	Modu do apache: dekompresuje dokumenty HTML w locie
Summary(pt_BR):	Descompresso "On-the-fly" de arquivos HTML para o Apache
Name:		apache1-mod_%{mod_name}
Version:	1
Release:	3
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://sep.hamburg.com/mod_%{mod_name}.tar.gz
# Source0-md5:	9f549047abccccf6570333bb0313d2cd
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_gunzip <= 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
Apache module: On-the-fly decompression of HTML documents.

%description -l es
Descompresin instantanea de archivos HTML para Apache.

%description -l pl
Modu do apache: dekompresuje dokumenty HTML w locie.

%description -l pt_BR
Descompresso "On-the-fly" de arquivos HTML para o Apache.

%prep
%setup -q -n mod_%{mod_name}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 1-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_gunzip.spec,v $
Revision 1.32  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.31  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.30  2006/04/14 16:50:13  glen
- use %service

Revision 1.29  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.28  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.27  2005/02/15 12:01:57  glen
- rel 2; STBR

Revision 1.26  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.25  2004/08/30 15:33:43  radek
- added README, fixed License (s/GPL/GPL v2)

Revision 1.24  2004/08/30 15:31:44  radek
- mv apache{,1}-*; release 1

Revision 1.23  2003/08/06 16:11:35  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.22  2003/07/08 13:02:54  qboosh
- more specific Requires

Revision 1.21  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.20  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.18  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.17  2002/06/30 10:24:21  kloczek
- release 4.

Revision 1.16  2002/04/25 15:45:58  arturs
fixed a small typo

Revision 1.15  2002/02/23 01:23:22  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/17 21:07:06  ankry
- release 3

Revision 1.12  2002/02/17 18:52:19  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.11  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/12/19 08:43:40  qboosh
- moved Conectiva es,pt_BR translations from apache-mod_throttle to proper spec

Revision 1.9  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.8  2000/09/09 07:00:07  kloczek
- release 2.

Revision 1.7  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.6  2000/04/04 08:57:21  kloczek
- Requires: apache(EAPI).

Revision 1.5  2000/04/04 08:47:36  kloczek
- release 1,
- spec adapterized,
- build against apache(EAPI).

Revision 1.4  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.2  1999/09/25 19:29:24  kloczek
- cosmetics.

Revision 1.1  1999/09/22 09:33:34  wiget
- Apache module: On-the-fly decompression
